[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# TStatfs

Record describing a file system in the unix.fpstatfs call.

## Declaration

Source position: ptypes.inc line 186

`type TStatfs = record`
`fstype: clong;` |  | File system type
`bsize: clong;` |  | Block size
`blocks: culong;` |  | Total number of blocks
`bfree: culong;` |  | Number of free blocks
`bavail: culong;` |  | Number of available blocks
`files: culong;` |  | Number of files
`ffree: culong;` |  | ?
`fsid: array [0..1] of cint;` |  | ?
`namelen: clong;` |  | Max name length for files.
`frsize: clong;` |  | Optimal block transfer size
`flags: clong;`
`spare: array [0..3] of clong;` |  | Pad bytes. Do not use.
`end;`